"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Diagnostic(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "referenceUrl",
        "variantActionable",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_4 import reports as reports_6_8_0

        return {
            "org.gel.models.report.avro.Diagnostic": reports_6_8_0.Diagnostic,
        }

    __slots__ = [
        "referenceUrl",
        "variantActionable",
        "biomarkers",
        "conditions",
        "diagnosis",
        "diagnosisStatus",
        "otherCondition",
        "references",
        "sources",
    ]

    def __init__(
        self,
        referenceUrl,
        variantActionable,
        biomarkers=None,
        conditions=None,
        diagnosis=None,
        diagnosisStatus=None,
        otherCondition=None,
        references=None,
        sources=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_8_0.Diagnostic model.

        :param referenceUrl:
            URL where reference information for this prognosis can be found
        :type referenceUrl: str
        :param variantActionable:
            If true, the association was made at the variant level, if not the
            association was made at Genomic Entity level
        :type variantActionable: boolean
        :param biomarkers:
            Biomarkers
        :type biomarkers: None | list[str]
        :param conditions:
            Associated conditions
        :type conditions: None | list[str]
        :param diagnosis:
            Diagnosis
        :type diagnosis: None | str
        :param diagnosisStatus:
            Diagnosis status
        :type diagnosisStatus: None | str
        :param otherCondition:
            Other condition
        :type otherCondition: None | str
        :param references:
            References
        :type references: None | list[str]
        :param sources:
            Sources if known
        :type sources: None | list[str]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.8.0"
